local staggerAmount, amount
WhatsNext:AddConditionalStatement("Stagger",{
	category = "MONK",
	test = function(checkTable) 
		return UnitStagger("player") >= checkTable.amount * UnitHealthMax("player")
	end, 
	text = function(checkTable)
		amount = tonumber(checkTable.amount)
		return "player's stagger ticks are greater than or equal to " .. tostring(amount and amount*100 or checkTable.amount) .. "% of their maximum health."
	end,
	arguments = {
		amount = {label = "Amount", type = "percent", default = .01},
	}
})

WhatsNext:AddConditionalStatement("Stagger Current Health",{
	category = "MONK",
	test = function(checkTable) 
		return UnitStagger("player") >= checkTable.amount * UnitHealth("player")
	end, 
	text = function(checkTable)
		amount = tonumber(checkTable.amount)
		return "player's stagger ticks are greater than or equal to " .. tostring(amount and amount*100 or checkTable.amount) .. "% of their current health."
	end,
	arguments = {
		amount = {label = "Amount", type = "percent", default = .01},
	}
})